add_library(marionette STATIC
    main.cpp
    salmanoff.cpp
    lifetime.cpp
)

target_link_libraries(marionette
    smocore
    mindManager
)

target_include_directories(marionette PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/include
    ${CMAKE_CURRENT_SOURCE_DIR}/../include
)
